Subject: bug#8570: closed (Re: bug#8570: glibc getcwd does not handle long file names properly?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Apr 2011 20:55:02 +0000

Your bug report

#8570: glibc getcwd does not handle long file names properly?

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8570: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8570
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8570: glibc getcwd does not handle long file names properly?
From: Jim Meyering <[email-masked]>
To: Bruno Haible <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 28 Apr 2011 22:54:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim Meyering wrote:
...
> Subject: [PATCH] tests: remove useless test: misc/pwd-unreadable-parent
>
> * tests/Makefile.am (TESTS): Remove misc/pwd-unreadable-parent.
> This test was misleading and useless (was always skipped).
> Inspired by a report from Bruno Haible: http://debbugs.gnu.org/8570
> * tests/misc/pwd-unreadable-parent: Remove file.

I've pushed that, so am closing the ticket.
Thanks again.

Subject: glibc getcwd does not handle long file names properly?
From: Bruno Haible <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 28 Apr 2011 01:12:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

building coreutils 8.12 on a Linux 2.6.25.20, glibc 2.8 machine, "make check"
shows these lines:

  ./misc/pwd-unreadable-parent: skipping test: can't use buggy system getcwd
  SKIP: misc/pwd-unreadable-parent

REPLACE_GETCWD is indeed 1, because the test from m4/getcwd-path-max.m4 failed:

configure:26992: checking whether getcwd handles long file names properly
configure:27154: gcc -m32 -march=i586 -std=gnu99 -o conftest -g -O2 -Wall -I/arch/x86-linux/gnu/include -m32 conftest.c  >&5
configure:27154: $? = 0
configure:27154: ./conftest
configure:27154: $? = 12
configure: program exited with status 12

But is that known and expected that glibc 2.8 getcwd() does not handle
long file names??? And yes, I do have /proc mounted and readable by everyone.

Bruno
-- 
In memoriam Marian Batko <http://pl.wikipedia.org/wiki/Marian_Batko>
<http://en.auschwitz.org.pl/m/index.php?Itemid=8&id=478&option=com_content&task=view>